function [H] = Gen_Channel_H(m,p)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%% Returns the Channel array H(mxp) with Rayleight Normalized samples
%% So far only implemented Rayleight.
%% Input  : m (number of CR ; p(number of primary user)
%% Output : array H (mxn)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%% Generates normalized Rayleigh Channel %%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
H = sqrt(2)/2* randn(m,p) +  j * sqrt(2)/2* randn(m,p);                
PH = 1/(m*p) * sum(diag(ctranspose(H)*H));
H = H / sqrt(PH);









    
    
    